Imports System.Runtime.Serialization

<Serializable>
Public Class DocumentObject

    <DataMember(Name:="FileName")>
    Public ReadOnly FileName As String
    <DataMember(Name:="ContainerId")>
    Public ReadOnly ContainerId As String
    <DataMember(Name:="DocumentId")>
    Public ReadOnly DocumentId As Int64

    Public Sub New(ContainerId As String, DocumentId As Int64, FileName As String)
        Me.ContainerId = ContainerId
        Me.DocumentId = DocumentId
        Me.FileName = FileName
    End Sub
End Class
